package com.bonus.canteen.core.account.v3.app.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class AccRechargeForAppDTO {
   @ApiModelProperty("支付类型")
   private @NotNull(
   message = "{acc_recharge_null_paytype}"
) Integer payType;
   @ApiModelProperty("充值金额")
   private @NotNull(
   message = "{acc_operation_amount_null_exception}"
) @Max(
   value = 10000000L,
   message = "{acc_operation_amount_max_exception}"
) @Min(
   value = 1L,
   message = "{acc_operation_amount_min_exception}"
) BigDecimal rechargeAmount;
   @ApiModelProperty(
      value = "openid",
      hidden = true
   )
   private String openid;
   @ApiModelProperty("来源类型 1-微信小程序 2-微信公众号 3-企业微信 5-支付宝 7-h5 9-钉钉")
   private Integer sourceType;
   private String payPassword;
   private Long custId;

   public Integer getPayType() {
      return this.payType;
   }

   public BigDecimal getRechargeAmount() {
      return this.rechargeAmount;
   }

   public String getOpenid() {
      return this.openid;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getPayPassword() {
      return this.payPassword;
   }

   public Long getCustId() {
      return this.custId;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setRechargeAmount(final BigDecimal rechargeAmount) {
      this.rechargeAmount = rechargeAmount;
   }

   public void setOpenid(final String openid) {
      this.openid = openid;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setPayPassword(final String payPassword) {
      this.payPassword = payPassword;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

}
